package com.myapp;

import org.junit.*;
import org.junit.runner.RunWith;
import org.junit.runners.Parameterized;

import java.util.Arrays;
import java.util.Collection;
import java.util.List;


public class StringsTest {

    String string;


    @Before
    public void beforeTest() {
        System.out.println("before test");
    }

    @After
    public void afterTest() {
        System.out.println("after test");
    }

    @Test
    public void testGetLength() {
        System.out.println("testGetLength");
        int length = new Strings().getLength("hello");
        Assert.assertTrue("Failed", length == 5);
    }


    @Ignore
    @Test
    public void testGetLengthFail() {
        int length = new Strings().getLength("hello");
        Assert.assertFalse("Failed", length == 0);
    }

    @Test
    public void testIsUpperCased() {
        boolean res = new Strings().isUpperCased("goodbye");
        Assert.assertEquals(res, false);
    }


    @Test
    public void testEvenWordsInSent() {
        String sentence = "This is a sentence with even and odd words";
        List<String> expected = new Strings().evenWordsInSent(sentence);
        List<String> actual = Arrays.asList(sentence.split(" "));
//        List<String> actual = Arrays.asList("This", "is", "sentence", "with", "even");

//        Assert.assertEquals("Failed", expected, actual);
        Assert.assertNotEquals(expected, actual);

    }


    @Test
    public void assertNotEquals() {
        String sentence = "This is a sentence with even and odd words";
        List<String> expected = new Strings().evenWordsInSent(sentence);
        List<String> actual = Arrays.asList(sentence.split(" "));

        Assert.assertNotEquals(expected, actual);
    }


    @Test
    public void assertNotSame() {
        String sentence = "This is a sentence with even and odd words";
        List<String> expected = new Strings().evenWordsInSent(sentence);
        List<String> actual = Arrays.asList(sentence.split(" "));

        Assert.assertNotSame("Failed: expected and actual are the same", expected, actual);
    }




    @AfterClass
    //must be static bc its a class method
    public static void afterClass() {
        System.out.println("afterClass from StringsTest");
    }





}
